"""FreeTube authors."""

from typing import TYPE_CHECKING

from rwx import Object

if TYPE_CHECKING:
    from .playlists import Playlist


class Author(Object):
    """FreeTube author."""

    def __init__(self, uid: str, name: str) -> None:
        """Set uid & name.

        :param uid: identifier
        :type uid: str
        :param name: label
        :type name: str
        """
        self.uid = uid
        self.name = name.replace(" ", " ")
        self.playlist: Playlist
